Bug 113306 - mkinitrd only installs first dependencies when using a 2.6 kernel
mkinitrd only installs first dependencies when using a 2.6 kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 08:25 EST by Alex Kiernan
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 13:45:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Scan all dependencies on a 2.6 style modules.dep (948 bytes, patch)
2004-01-12 08:26 EST, Alex Kiernan
no flags Details | Diff

  None (edit)
Description Alex Kiernan 2004-01-12 08:25:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.4.1)
Gecko/20031203 Epiphany/1.0.4

Description of problem:
The modules.dep format has changed for 2.6 so that all dependencies
are on a single line; mkinitrd only picks out the first dependency

Version-Release number of selected component (if applicable):
mkinitrd-3.5.18-1

How reproducible:
Always

Steps to Reproduce:
1. Run mkinitrd on a 2.6 kernel where a module required at boot has
multiple dependencies (e.g. raid5.ko -> md.ko, xor.ko)
    

Additional info:

Patch to follow
Comment 1 Alex Kiernan 2004-01-12 08:26:36 EST
Created attachment 96897 [details]
Scan all dependencies on a 2.6 style modules.dep
Comment 2 Jeremy Katz 2004-01-13 15:19:32 EST
Applied, will be in next build.

Note You need to log in before you can comment on or make changes to this bug.